package hideandseek.commands.admin;

import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.Location;
import org.bukkit.ChatColor;
import org.bukkit.entity.Player;
import org.bukkit.command.CommandSender;
import hideandseek.Customization;
import hideandseek.HideAndSeek;
import hideandseek.commands.SubCommand;

public class SetGlobalLobby extends SubCommand
{
    public SetGlobalLobby() {
        super("hideandseek.setgloballobby", false, (String)null);
    }
    
    public boolean execute(final HideAndSeek var1, final Customization var2, final CommandSender var3, final String[] var4) {
        final Player var5 = (Player)var3;
        final Location var6 = var5.getLocation();
        var1.globalLobby = var6;
        final FileConfiguration var7 = var1.getConfig();
        var7.set("Global-Lobby.delay", (Object)15);
        var7.set("Global-Lobby.world", (Object)var6.getWorld().getName());
        var7.set("Global-Lobby.x", (Object)(var6.getBlockX() + 0.5));
        var7.set("Global-Lobby.y", (Object)(var6.getBlockY() + 1));
        var7.set("Global-Lobby.z", (Object)(var6.getBlockZ() + 0.5));
        var7.set("Global-Lobby.yaw", (Object)var6.getYaw());
        var7.set("Global-Lobby.pitch", (Object)var6.getPitch());
        var1.saveConfig();
        var5.sendMessage(var2.prefix + "你设置了全局游戏大厅在:" + String.valueOf(ChatColor.GREEN) + var6.getBlockX() + String.valueOf(ChatColor.YELLOW) + ", " + String.valueOf(ChatColor.GREEN) + var6.getBlockY() + String.valueOf(ChatColor.YELLOW) + ", " + String.valueOf(ChatColor.GREEN) + var6.getBlockZ());
        return true;
    }
}
